# Get details of an HPP session

> `GET https://api.kustom.co/hpp/v1/sessions/{session_id}`

Use this API to read an HPP session content and it's status.
Read more on **[Read HPP session](../v3/hosted-payment-page/api-documentation/read-session)**.

## Parameters

- `session_id` (string, path, required) — HPP session id

## Responses

### 200

Session found

`application/json`

- `authorization_token` (string) — Authorization token (only for KP Sessions)
- `customer` (object)
  - `date_of_birth` (string) — Customer's date of birth (YYYY-MM-dd)
  - `family_name` (string) — Customer's family name
  - `given_name` (string) — Customer's given name
  - `national_identification_number` (string) — Customer's national identity number
  - `title` (string) — Customer's title
- `expires_at` (string) — Session expiration time
- `klarna_reference` (string) — Kustom reference provided by MoOD
- `manual_identification` (object)
  - `challenge` (string) — Identification challenge
  - `customer` (object)
    - `date_of_birth` (string) — Customer's date of birth (YYYY-MM-dd)
    - `family_name` (string) — Customer's family name
    - `given_name` (string) — Customer's given name
    - `national_identification_number` (string) — Customer's national identity number
    - `title` (string) — Customer's title
  - `customer_obfuscated` (object) Same shape as `customer`.
  - `expires_at` (string) — Session identification expiry time (YYYY-MM-ddThh:mm:ss.fffZ)
- `order_id` (string) — Order id of the payment session
- `session_id` (string) — The id of the HPP Session
- `status` (string) — Current HPP Session status Enum: `WAITING`, `BACK`, `IN_PROGRESS`, `MANUAL_ID_CHECK`, `COMPLETED`, `CANCELLED`, `FAILED`, `DISABLED`, `ERROR`.
- `updated_at` (string) — Latest status update time

```json
{
  "authorization_token": "70850a20-a2a0-5c70-810c-096fa6f850bb",
  "customer": {
    "date_of_birth": "1987-08-15",
    "family_name": "<string>",
    "given_name": "<string>",
    "national_identification_number": "19870815-84932",
    "title": "Mr"
  },
  "expires_at": "2038-01-19T03:14:07.000Z",
  "klarna_reference": "ffc25786",
  "manual_identification": {
    "challenge": "A78",
    "customer": {
      "date_of_birth": "1987-08-15",
      "family_name": "<string>",
      "given_name": "<string>",
      "national_identification_number": "19870815-84932",
      "title": "Mr"
    },
    "customer_obfuscated": {
      "date_of_birth": "1987-08-15",
      "family_name": "<string>",
      "given_name": "<string>",
      "national_identification_number": "19870815-84932",
      "title": "Mr"
    },
    "expires_at": "2038-01-19T03:14:07.000Z"
  },
  "order_id": "93d644a2-43f3-11e9-b210-d663bd873d93",
  "session_id": "a15b228c-02ad-11e9-8eb2-f2801f1b9fd1",
  "status": "COMPLETED",
  "updated_at": "2038-01-19T03:14:07.000Z"
}
```

### 401

Unauthorized

### 403

You were not authorized to execute this operation.

### 404

HPP session has expired or could not be found by provided id.
